﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/Site.Master" CodeBehind="SalesReports.aspx.vb" Inherits="CronoWEB.SalesReports" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <script lang="javascript" type="text/javascript">
        var ReportID;

        /////////////////////////////////////////////////////////////////////////////////////////
        //                                FILTRO PUNTI VENDITA
        /////////////////////////////////////////////////////////////////////////////////////////
        function rbFiltroPuntiVenditaPrev_Clicked(sender, args) {

        }

        function rbFiltroPuntiVenditaNext_Clicked(sender, args) {
            var cell;
            var count = 0

            var MasterTableView = $find("<%= rgFiltroPuntiVendita.MasterTableView.ClientID %>")
            var rows = MasterTableView.get_dataItems();

            for (var i = 0; i < rows.length; i++) {
                cell = MasterTableView.getCellByColumnUniqueName(rows[i], "RowSel");

                if (cell.getElementsByTagName('input')[0].checked == true) {
                    count += 1;
                }
            }

            if (count != 0) {
                $find('<%= rwFiltroPuntiVendita.ClientID %>').close();
                $find('<%= rwFiltroIntervalloDate.ClientID %>').show();
                $find('<%= rdpFiltroIntervalloDateInizio.ClientID %>').get_dateInput().focus();
                args.set_cancel(true);
            }
            else {
                switch (ReportID) {
                    case "RptFasceOrarie":
                        document.getElementById('<%=lblDlgWarn.ClientID%>').textContent = document.getElementById('hfMsg_FiltroPuntiVenditaWarn').value;
                        $find('<%= rwDlgWarn.ClientID %>').show();
                        args.set_cancel(true);
                        break;

                    case "RptFasceSpesa":
                        document.getElementById('<%=lblDlgWarn.ClientID%>').textContent = document.getElementById('hfMsg_FiltroPuntiVenditaWarn').value;
                        $find('<%= rwDlgWarn.ClientID %>').show();
                        args.set_cancel(true);
                        break;

                    case "RptCasse":
                        document.getElementById('<%=lblDlgWarn.ClientID%>').textContent = document.getElementById('hfMsg_FiltroPuntiVenditaWarn').value;
                        $find('<%= rwDlgWarn.ClientID %>').show();
                        args.set_cancel(true);
                        break;

                    case "RptCasseTender":
                        document.getElementById('<%=lblDlgWarn.ClientID%>').textContent = document.getElementById('hfMsg_FiltroPuntiVenditaWarn').value;
                        $find('<%= rwDlgWarn.ClientID %>').show();
                        args.set_cancel(true);
                        break;

                    case "RptCasseIVA":
                        document.getElementById('<%=lblDlgWarn.ClientID%>').textContent = document.getElementById('hfMsg_FiltroPuntiVenditaWarn').value;
                        $find('<%= rwDlgWarn.ClientID %>').show();
                        args.set_cancel(true);
                        break;
                }
            }

            
        }
        /////////////////////////////////////////////////////////////////////////////////////////

        /////////////////////////////////////////////////////////////////////////////////////////
        //                                FILTRO INTERVALLO DATE
        /////////////////////////////////////////////////////////////////////////////////////////
        function rbFiltroIntervalloDatePrev_Clicked(sender, args) {
            switch (ReportID) {
                case "RptFasceOrarie":
                    $find('<%= rwFiltroIntervalloDate.ClientID %>').close();
                    $find('<%= rwFiltroPuntiVendita.ClientID %>').show();
                    break;
                case "RptFasceSpesa":
                    $find('<%= rwFiltroIntervalloDate.ClientID %>').close();
                    $find('<%= rwFiltroPuntiVendita.ClientID %>').show();
                    break;
                case "RptCasse":
                    $find('<%= rwFiltroIntervalloDate.ClientID %>').close();
                    $find('<%= rwFiltroPuntiVendita.ClientID %>').show();
                    break;
                case "RptCasseTender":
                    $find('<%= rwFiltroIntervalloDate.ClientID %>').close();
                    $find('<%= rwFiltroPuntiVendita.ClientID %>').show();
                    break;
                case "RptCasseIVA":
                    $find('<%= rwFiltroIntervalloDate.ClientID %>').close();
                    $find('<%= rwFiltroPuntiVendita.ClientID %>').show();
                    break;
            }
        }

        function rbFiltroIntervalloDateNext_Clicked(sender, args) {
            if ($find('<%= rdpFiltroIntervalloDateInizio.ClientID %>').get_selectedDate() == null) {
                  document.getElementById('<%=lblDlgWarn.ClientID%>').textContent = document.getElementById('hfMsg_FiltroIntervalloDateWarn').value;

                var rwDlg = $find('<%= rwDlgWarn.ClientID %>');
                rwDlg.show();

                $find('<%= rdpFiltroIntervalloDateInizio.ClientID %>').get_dateInput().focus();

                args.set_cancel(true);
            }
            else if ($find('<%= rdpFiltroIntervalloDateFine.ClientID %>').get_selectedDate() == null) {
                document.getElementById('<%=lblDlgWarn.ClientID%>').textContent = document.getElementById('hfMsg_FiltroIntervalloDateWarn').value;

                var rwDlg = $find('<%= rwDlgWarn.ClientID %>');
                rwDlg.show();

                  $find('<%= rdpFiltroIntervalloDateFine.ClientID %>').get_dateInput().focus();

                  args.set_cancel(true);
              }
              else {
                $find('<%= rwFiltroIntervalloDate.ClientID %>').close();
                $find('<%= rwWait.ClientID %>').show();
              }
          }
        /////////////////////////////////////////////////////////////////////////////////////////

        /////////////////////////////////////////////////////////////////////////////////////////
        //                                TILE LIST
        /////////////////////////////////////////////////////////////////////////////////////////
        function repaintTileList(sender, args) {
            var tileList = getTileList();
            var viewPortSize = $telerik.getClientBounds();
            //check if we have a tileList and whether the viewport width is sufficient to put it in desktop mode
            //you can also add a check whether the container is visible in case you plan to hide it
            //if (tileList && viewPortSize.width > 768) {
            //set the available height to the TileList
            tileList.set_height(viewPortSize.height - 110);
            tileList.repaint();
            //}
            Sys.Application.remove_load(repaintTileList);
        }

        //the window resize handling is needed for viewport height changes in desktop mode if you need the tile rows to change
        var TO = false;
        $telerik.$(window).resize(function () {
            if (TO !== false)
                clearTimeout(TO);
            TO = setTimeout(repaintTileList, 200); //200 is time in milliseconds that will pass before repaintTileList is called
        });
        //update the TileList on the initial load
        Sys.Application.add_load(repaintTileList);
        function getTileList() {
            return $find("<%= RadTileList1.ClientID %>");
        }

        function RadTileList1_TileClicked(sender, args) {
            var tile = args.get_tile();
            ReportID = tile.get_name();
            document.getElementById('HFReportID').value = ReportID;

            var ReportTitle;

            switch (ReportID) {
                case "RptFasceOrarie":
                    ReportTitle = document.getElementById('hfTitoloRptFasceOrarie').value;

                    document.getElementById('lblFiltroPuntiVenditaInfo').innerHTML = "Report '" + ReportTitle + "'<br/>" + document.getElementById('hfMsg_FiltroPuntiVenditaInfo').value;
                    document.getElementById('lblFiltroIntervalloDateInfo').innerHTML = "Report '" + ReportTitle + "'<br/>" + document.getElementById('hfMsg_FiltroIntervalloDateInfo').value;

                    var now = new Date();
                    now.setDate(now.getDate() - 1);
                    $find('<%= rdpFiltroIntervalloDateFine.ClientID %>').set_selectedDate(now);

                    now.setDate(now.getDate() - 30);
                    $find('<%= rdpFiltroIntervalloDateInizio.ClientID %>').set_selectedDate(now);

                    $find('<%= rbFiltroPuntiVenditaPrev.ClientID %>').set_enabled(false);
                    $find('<%= rwFiltroPuntiVendita.ClientID %>').show();

                    break;

                case "RptFasceSpesa":
                    ReportTitle = document.getElementById('hfTitoloRptFasceSpesa').value;

                    document.getElementById('lblFiltroPuntiVenditaInfo').innerHTML = "Report '" + ReportTitle + "'<br/>" + document.getElementById('hfMsg_FiltroPuntiVenditaInfo').value;
                    document.getElementById('lblFiltroIntervalloDateInfo').innerHTML = "Report '" + ReportTitle + "'<br/>" + document.getElementById('hfMsg_FiltroIntervalloDateInfo').value;

                    var now = new Date();
                    now.setDate(now.getDate() - 1);
                    $find('<%= rdpFiltroIntervalloDateFine.ClientID %>').set_selectedDate(now);
                    $find('<%= rdpFiltroIntervalloDateInizio.ClientID %>').set_selectedDate(now);

                    $find('<%= rbFiltroPuntiVenditaPrev.ClientID %>').set_enabled(false);
                    $find('<%= rwFiltroPuntiVendita.ClientID %>').show();

                    break;

                case "RptCasse":
                    ReportTitle = document.getElementById('hfTitoloRptCasse').value;

                    document.getElementById('lblFiltroPuntiVenditaInfo').innerHTML = "Report '" + ReportTitle + "'<br/>" + document.getElementById('hfMsg_FiltroPuntiVenditaInfo').value;
                    document.getElementById('lblFiltroIntervalloDateInfo').innerHTML = "Report '" + ReportTitle + "'<br/>" + document.getElementById('hfMsg_FiltroIntervalloDateInfo').value;

                    var now = new Date();
                    now.setDate(now.getDate() - 1);
                    $find('<%= rdpFiltroIntervalloDateFine.ClientID %>').set_selectedDate(now);

                    now.setDate(now.getDate() - 7);
                    $find('<%= rdpFiltroIntervalloDateInizio.ClientID %>').set_selectedDate(now);

                    $find('<%= rbFiltroPuntiVenditaPrev.ClientID %>').set_enabled(false);
                    $find('<%= rwFiltroPuntiVendita.ClientID %>').show();

                    break;

                case "RptCasseTender":
                    ReportTitle = document.getElementById('hfTitoloRptCasseTender').value;

                    document.getElementById('lblFiltroPuntiVenditaInfo').innerHTML = "Report '" + ReportTitle + "'<br/>" + document.getElementById('hfMsg_FiltroPuntiVenditaInfo').value;
                    document.getElementById('lblFiltroIntervalloDateInfo').innerHTML = "Report '" + ReportTitle + "'<br/>" + document.getElementById('hfMsg_FiltroIntervalloDateInfo').value;

                    var now = new Date();
                    now.setDate(now.getDate() - 1);
                    $find('<%= rdpFiltroIntervalloDateFine.ClientID %>').set_selectedDate(now);

                    now.setDate(now.getDate() - 7);
                    $find('<%= rdpFiltroIntervalloDateInizio.ClientID %>').set_selectedDate(now);

                    $find('<%= rbFiltroPuntiVenditaPrev.ClientID %>').set_enabled(false);
                    $find('<%= rwFiltroPuntiVendita.ClientID %>').show();

                    break;

                case "RptCasseIVA":
                    ReportTitle = document.getElementById('hfTitoloRptCasseIVA').value;

                    document.getElementById('lblFiltroPuntiVenditaInfo').innerHTML = "Report '" + ReportTitle + "'<br/>" + document.getElementById('hfMsg_FiltroPuntiVenditaInfo').value;
                    document.getElementById('lblFiltroIntervalloDateInfo').innerHTML = "Report '" + ReportTitle + "'<br/>" + document.getElementById('hfMsg_FiltroIntervalloDateInfo').value;

                    var now = new Date();
                    now.setDate(now.getDate() - 1);
                    $find('<%= rdpFiltroIntervalloDateFine.ClientID %>').set_selectedDate(now);

                    now.setDate(now.getDate() - 7);
                    $find('<%= rdpFiltroIntervalloDateInizio.ClientID %>').set_selectedDate(now);

                    $find('<%= rbFiltroPuntiVenditaPrev.ClientID %>').set_enabled(false);
                    $find('<%= rwFiltroPuntiVendita.ClientID %>').show();

                    break;
            }
        }
        /////////////////////////////////////////////////////////////////////////////////////////

        function rbDlgWarnConferma_Clicked(sender, args) {
            $find('<%= rwDlgWarn.ClientID %>').close();
        }

    </script>

    <asp:HiddenField ID="HFReportID" runat="server" ClientIDMode="Static"/>
    
    <telerik:RadWindow ID="rwWait" runat="server" Title="CronoWEB" Behaviors="Move" Height="150px" Width="355px" Modal="True" VisibleStatusbar="False" VisibleTitlebar="true" VisibleOnPageLoad="false" >
        <ContentTemplate>
            <asp:Panel ID="Panel1" runat="server" Height="107px" Width="320px"> 
                <center>
                    <div style="clear:both;padding-bottom:15px;">
                        <telerik:RadLabel ID="lblWaitMsg" runat="server" Text="Attendere prego ..." Font-Size="20px"></telerik:RadLabel>
                    </div>
                    
                    <img src="../Images/Wait.gif" alt="gif image"/>
                </center>
            </asp:Panel>
        </ContentTemplate>
    </telerik:RadWindow>

    <telerik:RadWindow ID="rwDlgWarn" runat="server" Title="CronoWEB" Behaviors="Move" Modal="True" VisibleStatusbar="False" VisibleOnPageLoad="false" ReloadOnShow="false" AutoSize="true">
        <ContentTemplate>
             <div style="clear:both;display:grid;width:350px;grid-template-columns:48px auto;grid-template-rows:auto 45px;">
                <div style="padding-top:5px;">
                    <asp:Image ID="imgDlgWarn" runat="server" Height="48px" Width="48px" ImageUrl="~/Images/Dialogs/Warning48.png"/>
                </div>

                <div class="DivLabelDialogMsgForm">                    
                    <telerik:RadLabel ID="lblDlgWarn" runat="server" Font-Size="18px" Text="warning message"></telerik:RadLabel>
                </div>

                <div style="grid-column-start:1;grid-column-end:3;text-align:center;padding-top:5px;">
                    <telerik:RadButton ID="rbDlgWarnConferma" runat="server" ButtonType="SkinnedButton" Height="40px" Width="75px" AutoPostBack="false" Text="OK" OnClientClicked="rbDlgWarnConferma_Clicked">
                        <icon PrimaryIconUrl="~/Images/Ok32.png" PrimaryIconTop ="2" PrimaryIconLeft="4" PrimaryIconWidth="32px" PrimaryIconHeight="32px"/>                            
                    </telerik:RadButton>
                </div>
            </div>
        </ContentTemplate>
    </telerik:RadWindow>

    <telerik:RadWindow ID="rwFiltroPuntiVendita" runat="server" Title="CronoWEB" Behaviors="Close, Move" Height="550px" Width="800px" Modal="True" VisibleStatusbar="False" VisibleOnPageLoad="false">
        <ContentTemplate>
            <div style="display:grid;grid-template-columns:auto;grid-template-rows:85px auto 40px;">
                
                <div style="padding-top:5px;padding-bottom:5px;background-color:#FFFFCC;">
                    <div style="float:left;padding-left:10px;">
                        <asp:Image ID="Image7" runat="server" ImageUrl="~/Images/wizard/LogoWizardStampa64.png"/>
                    </div>
                    <div style="float:left;padding-left:10px;">
                        <asp:Label ID="lblFiltroPuntiVenditaInfo" Font-Size="18px" runat="server" Width="100%" ClientIDMode="Static"></asp:Label>
                    </div>
                </div>

                <div>
                    <telerik:RadGrid ID="rgFiltroPuntiVendita" runat="server" Height="375px" Width="100%" AutoGenerateColumns="False" Culture="it-IT">
                        <GroupingSettings CollapseAllTooltip="Collapse all groups" CaseSensitive="false"></GroupingSettings>

                        <ExportSettings>
                            <Pdf PageWidth="">
                            </Pdf>
                        </ExportSettings>
        
                        <ClientSettings AllowKeyboardNavigation="true">
                            <Selecting AllowRowSelect="false"/>
                            <KeyboardNavigationSettings AllowSubmitOnEnter="false"/>
                            <Scrolling AllowScroll="true" UseStaticHeaders="True"/>
                            <ClientEvents OnGridCreated=""/>
                            <Resizing AllowColumnResize="true" AllowResizeToFit="false"/>                
                        </ClientSettings>
            
                        <MasterTableView TableLayout="Fixed" CommandItemDisplay="None" AllowNaturalSort="False" AllowMultiColumnSorting="true" >                
                            <FilterItemStyle/>
                            <CommandItemSettings ShowAddNewRecordButton="False" ShowRefreshButton="False" ShowExportToExcelButton="false"/>
                            <RowIndicatorColumn Visible="False">
                            </RowIndicatorColumn>
                            <ExpandCollapseColumn Created="True">
                            </ExpandCollapseColumn>
                            <SortExpressions>
                                <telerik:GridSortExpression FieldName="Descrizione" SortOrder="Ascending"/>
                            </SortExpressions>
                            <Columns>
                                <telerik:GridBoundColumn DataField="IDPV" HeaderText="IDPV" UniqueName="IDPV" Display="false" ReadOnly="true">
                                </telerik:GridBoundColumn>
                                <telerik:GridCheckBoxColumn DataType="System.Boolean" DataField="RowSel" UniqueName="RowSel" ReadOnly="true">
                                     <HeaderStyle Width="45" HorizontalAlign="Center"/>
                                </telerik:GridCheckBoxColumn>
                                <telerik:GridBoundColumn DataField="Codice" HeaderText="Codice" UniqueName="Codice" ReadOnly="true">
                                    <HeaderStyle Width="90" HorizontalAlign="Center"/>
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="Descrizione" HeaderText="Descrizione" UniqueName="Descrizione" ReadOnly="true" >
                                    <HeaderStyle Width="225" HorizontalAlign="Center"/>
                                </telerik:GridBoundColumn>
                                <telerik:GridTemplateColumn UniqueName="Filler">
                                </telerik:GridTemplateColumn>
                            </Columns>
                            <PagerStyle AlwaysVisible="True" Mode="NextPrevAndNumeric" PageSizeControlType="None"/>
                        </MasterTableView>
                        <PagerStyle AlwaysVisible="True" Mode="NextPrev"/>
                    </telerik:RadGrid>
                </div>

                <div style="padding-top:5px;display:grid;grid-template-columns:auto auto;grid-column-gap:5px;justify-content:center;">
                    <telerik:RadButton ID="rbFiltroPuntiVenditaPrev" runat="server" ButtonType="SkinnedButton" Height="40px" Width="145px" AutoPostBack="false" Text="Indietro" OnClientClicked="rbFiltroPuntiVenditaPrev_Clicked">
                        <icon PrimaryIconUrl="~/Images/Prev32.png" PrimaryIconTop ="2" PrimaryIconLeft="4" PrimaryIconWidth="32px" PrimaryIconHeight="32px"/>                            
                    </telerik:RadButton>

                    <telerik:RadButton ID="rbFiltroPuntiVenditaNext" runat="server" ButtonType="SkinnedButton" Height="40px" Width="145px" AutoPostBack="true" Text="Avanti" OnClientClicked="rbFiltroPuntiVenditaNext_Clicked">
                        <icon SecondaryIconUrl="~/Images/Next32.png" SecondaryIconTop ="2" SecondaryIconRight="4" SecondaryIconWidth="32px" SecondaryIconHeight="32px"/>                            
                    </telerik:RadButton>
                </div>

            </div>
        </ContentTemplate>
    </telerik:RadWindow>
    
    <telerik:RadWindow ID="rwFiltroIntervalloDate" runat="server" Title="CronoWEB" Behaviors="Close, Move" Height="295px" Width="700px" Modal="True" VisibleStatusbar="False" VisibleOnPageLoad="false">                
        <ContentTemplate>   
            <asp:Panel ID="Panel3" runat="server" DefaultButton="rbFiltroIntervalloDateNext">
                <div style="display:grid;grid-template-columns:auto;grid-template-rows:85px 120px 42px;">

                    <div style="padding-top:5px;padding-bottom:5px;background-color:#FFFFCC;">
                        <div style="float:left;padding-left:10px;">
                            <asp:Image ID="Image11" runat="server" ImageUrl="~/Images/wizard/LogoWizardStampa64.png"/>
                        </div>
                        <div style="float:left;padding-left:10px;">
                            <asp:Label ID="lblFiltroIntervalloDateInfo" runat="server" Font-Size="18px" Height="70px" Width="100%" ClientIDMode="Static"></asp:Label>
                        </div>
                    </div>

                    <div style="display:grid;grid-template-columns:auto auto auto auto;grid-column-gap:5px;justify-content:center;">
                        <div style="padding-left:5px;padding-top:42px;">
                            <telerik:RadLabel ID="lblFiltroIntervalloDateInizio" runat="server" Font-Size="20px" Text="Inizio"></telerik:RadLabel>
                        </div>
                        <div style="padding-top:40px;">
                            <telerik:RadDatePicker ID="rdpFiltroIntervalloDateInizio" runat="server" Width="180px">
                                <DateInput Font-Size="20px"></DateInput>
                            </telerik:RadDatePicker>
                        </div>
                        <div style="padding-left:5px;padding-top:42px;">
                            <telerik:RadLabel ID="lblFiltroIntervalloDateFine" runat="server" Font-Size="20px" Text="Fine"></telerik:RadLabel>
                        </div>
                        <div style="padding-top:40px;">
                            <telerik:RadDatePicker ID="rdpFiltroIntervalloDateFine" runat="server" Width="180px">
                                <DateInput Font-Size="20px"></DateInput>
                            </telerik:RadDatePicker>
                        </div>
                    </div>
                    
                    <div style="display:grid;grid-template-columns:auto auto;grid-column-gap:5px;justify-content:center;">
                        <telerik:RadButton ID="rbFiltroIntervalloDatePrev" runat="server" Height="40px" Width="145px" AutoPostBack="false" Text="Indietro" OnClientClicked="rbFiltroIntervalloDatePrev_Clicked">
                            <icon PrimaryIconUrl="~/Images/Prev32.png" PrimaryIconTop ="4" PrimaryIconLeft="4" PrimaryIconWidth="32px" PrimaryIconHeight="32px"/>                            
                        </telerik:RadButton>

                        <telerik:RadButton ID="rbFiltroIntervalloDateNext" runat="server" Height="40px" Width="145px" AutoPostBack="true" Text="Avanti" OnClientClicked="rbFiltroIntervalloDateNext_Clicked">
                            <icon SecondaryIconUrl="~/Images/Next32.png" SecondaryIconTop ="4" SecondaryIconRight="4" SecondaryIconWidth="32px" SecondaryIconHeight="32px"/>                            
                        </telerik:RadButton>
                    </div>
                </div>
            </asp:Panel>
        </ContentTemplate>
    </telerik:RadWindow>

     <div class="DivPageTitle">
        <asp:Label ID="lblPageTitle" runat="server" CssClass="LabelPageTitle" Text="Report Vendite"></asp:Label>
    </div>

    <telerik:RadTileList ID="RadTileList1" runat="server" TileRows="0" SelectionMode="Single" Height="300px" Width="100%" RenderMode="Classic" OnClientTileClicked="RadTileList1_TileClicked">         
        <Groups>

            <telerik:TileGroup Title="Punti Vendita">                
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Name="RptFasceOrarie" Height="160px" AutoPostBack="false">
                    <ContentTemplate>
                        <asp:HiddenField ID="hfTitoloRptFasceOrarie" runat="server" ClientIDMode="Static"/>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:auto;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image8" runat="server" ImageUrl="~/Images/Report128.png"/>
                            </div>
                            <div>
                                <telerik:RadLabel ID="lblRptFasceOrarie" runat="server" Font-Size="20px" Text="Fasce Orarie"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Name="RptFasceSpesa" Text="" Height="160px">
                    <ContentTemplate>
                        <asp:HiddenField ID="hfTitoloRptFasceSpesa" runat="server" ClientIDMode="Static"/>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:auto;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image9" runat="server" ImageUrl="~/Images/Report128.png"/>
                            </div>
                            <div>
                                <telerik:RadLabel ID="lblRptFasceSpesa" runat="server" Font-Size="20px" Text="Fasce Spesa"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Name="RptCasse" Text="" Height="160px">
                    <ContentTemplate>
                        <asp:HiddenField ID="hfTitoloRptCasse" runat="server" ClientIDMode="Static"/>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:auto;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image10" runat="server" ImageUrl="~/Images/Report128.png"/>
                            </div>
                            <div>
                                <telerik:RadLabel ID="lblRptCasse" runat="server" Font-Size="20px" Text="Casse"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Name="RptCasseTender" Text="" Height="160px">
                    <ContentTemplate>
                        <asp:HiddenField ID="hfTitoloRptCasseTender" runat="server" ClientIDMode="Static"/>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:auto;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/Report128.png"/>
                            </div>
                            <div>
                                <telerik:RadLabel ID="lblRptCasseTender" runat="server" Font-Size="20px" Text="Tender Casse"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Name="RptCasseIVA" Text="" Height="160px">
                    <ContentTemplate>
                        <asp:HiddenField ID="hfTitoloRptCasseIVA" runat="server" ClientIDMode="Static"/>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:auto;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image2" runat="server" ImageUrl="~/Images/Report128.png"/>
                            </div>
                            <div>
                                <telerik:RadLabel ID="lblRptCasseIVA" runat="server" Font-Size="20px" Text="I.V.A. Casse"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>
            </telerik:TileGroup>

            <telerik:TileGroup Title="Reparti Cassa">
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Name="RptTessereAttivePeriodo" Text="" Height="160px">
                    <ContentTemplate>
                        <asp:HiddenField ID="HiddenField5" runat="server" ClientIDMode="Static"/>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:auto;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image3" runat="server" ImageUrl="~/Images/Report128.png"/>
                            </div>
                            <div>
                                <telerik:RadLabel ID="RadLabel3" runat="server" Font-Size="20px" Text="Vendite (Aggregato)"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Name="RptTessereAttivePeriodo" Text="" Height="160px">
                    <ContentTemplate>
                        <asp:HiddenField ID="HiddenField6" runat="server" ClientIDMode="Static"/>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:auto;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image4" runat="server" ImageUrl="~/Images/Report128.png"/>
                            </div>
                            <div>
                                <telerik:RadLabel ID="RadLabel4" runat="server" Font-Size="20px" Text="Vendite con Margine (Aggregato)"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Name="RptTessereAttivePeriodo" Text="" Height="160px">
                    <ContentTemplate>
                        <asp:HiddenField ID="HiddenField7" runat="server" ClientIDMode="Static"/>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:auto;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image6" runat="server" ImageUrl="~/Images/Report128.png"/>
                            </div>
                            <div>
                                <telerik:RadLabel ID="RadLabel6" runat="server" Font-Size="20px" Text="Confronto Due Periodi (Aggregato)"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>
            </telerik:TileGroup>

            <telerik:TileGroup Title="Operatori Cassa">
                <telerik:RadContentTemplateTile runat="server" Shape="Wide" Name="RptTessereAttivePeriodo" Text="" Height="160px">
                    <ContentTemplate>
                        <asp:HiddenField ID="HiddenField8" runat="server" ClientIDMode="Static"/>
                        <div style="display:grid;grid-template-columns:auto;grid-template-rows:auto;">
                            <div style="text-align:center;">
                                <asp:Image ID="Image5" runat="server" ImageUrl="~/Images/Report128.png"/>
                            </div>
                            <div>
                                <telerik:RadLabel ID="RadLabel5" runat="server" Font-Size="20px" Text="Analisi Attività"></telerik:RadLabel>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadContentTemplateTile>
            </telerik:TileGroup>

        </Groups>
    </telerik:RadTileList>
</asp:Content>
